#### D.7.1.32 secondary_not_cohen_macaulay

Procedure from library `finvar.lib` (see finvar_lib).

Usage:
  secondary_not_cohen_macaulay(P,G1,G2,...[,v]);
  P: a 1xn <matrix> with primary invariants, G1,G2,...: nxn <matrices> generating a finite matrix group, v: optional <int>

Assume:
  n is the number of variables of the basering

Return:
  secondary invariants of the invariant ring (type <matrix>)

Display:
  information on the progress of computation if v does not equal 0

Theory:
  Secondary invariants are generated following "Generating Invariant Rings of Finite Groups over Arbitrary Fields" by Kemper (1996).

Example:

    LIB "finvar.lib";
    ring R=2,(x,y,z),dp;
    matrix A[3][3]=0,1,0,-1,0,0,0,0,-1;
    list L=primary_invariants(A);
    matrix S=secondary_not_cohen_macaulay(L[1],A);
    print(S);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.